// Definitions for Waveshare tac5x1x https://github.com/waveshare/tac5x1x-Audio-HAT
/dts-v1/;
/plugin/;

/ {
	compatible = "brcm,bcm2835";

	fragment@0 {
		target = <&i2s_clk_producer>;
		__overlay__ {
			status = "okay";
		};
	};

	fragment@1 {
		target = <&i2c1>;
		__overlay__ {
			#address-cells = <1>;
			#size-cells = <0>;
			status = "okay";
			clock-frequency = <400000>;
			tac5x1x: tac5x1x@50 {
				compatible = "ti,tac5411";
				reg = <0x50>;
				#sound-dai-cells = <0>;
				ti,vref = <0>;
				ti,micbias-vg = <3>;
				avdd-supply = <&vdd_3v3_reg>;
				iovdd-supply = <&vdd_3v3_reg>;
				ti,gpios-func =
					<4>,
					<0>,
					<0>;
				ti,gpi1-func = <0>;
			};
		};
	};


	fragment@2 {
		target = <&sound>;
		master_overlay: __overlay__ {
			compatible = "simple-audio-card";
			simple-audio-card,format = "i2s";
			simple-audio-card,name = "ti,tac5x1x-soundcard"; 
			status = "okay";

			simple-audio-card,bitclock-master = <&dailink0_master>;
			simple-audio-card,frame-master = <&dailink0_master>;

			simple-audio-card,widgets =
				"Line", "Line In",
				"Line", "Line Out";

			simple-audio-card,routing =
				"AIN1", "Line In",
				"AIN2", "Line In",
				"DIN1", "Line In",
				"DIN2", "Line In",
				"DIN3", "Line In",
				"DIN4", "Line In",
				"Line Out", "OUT1";
				"Line Out", "OUT2";			

			dailink0_master: simple-audio-card,cpu {
				sound-dai = <&i2s_clk_producer>;
			};
			simple-audio-card,codec {
				sound-dai = <&tac5x1x>;
			};
		};
	};

	__overrides__ {
		alsaname = <&master_overlay>,"simple-audio-card,name";
		compatible = <&tac5x1x>,"compatible";
	};
};
